﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridVisibilityCase
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<SampleData> Data { get; set; }

        private bool ilv;
        public bool IsLabelVisible
        {
            get { return ilv; }
            set
            {
                if (ilv != value)
                {
                    ilv = value;
                    OnPropertyChanged("IsLabelVisible");
                }
            }
        }

        string[] names = "Andrew;Alex;Jen;Lisa;Steve;Murphy;Rob;Valerie;Pamela".Split(';');
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[i],
                    Label = "Label " + i.ToString()
                });
            }

            IsLabelVisible = true;
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Label { get; set; }
    }
}
